/*
 * $Id: LocatorAdaptor.java,v 1.3 2003/05/31 00:32:49 Bear Exp $
 *
 * Copyright 2002 Kohsuke Kawaguchi, Inc. All Rights Reserved.
 * 
 * Use is subject to license terms.
 */
package org.kohsuke.jarv.xerces;

import org.apache.xerces.xni.XMLLocator;
import org.xml.sax.Locator;

/**
 * Wraps SAX Locator as XMLLocator 
 * 
 * @author Kohsuke Kawaguchi (kk@kohsuke.org)
 */
class LocatorAdaptor implements XMLLocator {
    
    private final Locator locator;
    
    LocatorAdaptor( Locator _loc ) { this.locator=_loc; }

    public int getColumnNumber()  { return locator.getColumnNumber(); }
    public int getLineNumber()    { return locator.getLineNumber(); }
    public String getBaseSystemId() { return null; }
    public String getExpandedSystemId() { return locator.getSystemId(); }
    public String getLiteralSystemId() { return locator.getSystemId(); }
    public String getPublicId()   { return locator.getPublicId(); }
    public String getEncoding() { return null; }
}
