/*
 * $Id: XercesSchema.java,v 1.2 2002/04/17 01:15:57 Bear Exp $
 *
 * Copyright 2002 Kohsuke Kawaguchi, Inc. All Rights Reserved.
 * 
 * Use is subject to license terms.
 */
package org.kohsuke.jarv.xerces;

import org.apache.xerces.impl.xs.SchemaGrammar;
import org.iso_relax.verifier.Schema;
import org.iso_relax.verifier.Verifier;
import org.iso_relax.verifier.VerifierConfigurationException;

/**
 * {@link Schema} implementation for Xerces.
 * 
 * @author Kohsuke Kawaguchi (kk@kohsuke.org)
 */
public class XercesSchema implements Schema {
    private final SchemaGrammar[] grammar;
    
    protected XercesSchema( SchemaGrammar[] _grammar ) {
        this.grammar = _grammar;
    }
    
    public Verifier newVerifier() throws VerifierConfigurationException {
        return new XercesVerifier(grammar);
    }
}
